> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.placement.md).

# Placement

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Determines the position of the popup in relation to the opener control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Placement : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Placement As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                               |
| ---------------- | ------------------------------------------------------------------------- |
| **BottomCenter** | The popup is shown below the opener and horizontally centered.            |
| **BottomLeft**   | The popup is shown below the opener aligned to the left edge.             |
| **BottomRight**  | The popup is shown below the opener aligned to the right edge.            |
| **LeftBottom**   | The popup is shown to the left of the opener aligned to the bottom edge.  |
| **LeftMiddle**   | The popup is shown to the left of the opener and vertically centered.     |
| **LeftTop**      | The popup is shown to the left of the opener aligned to the top edge.     |
| **RightBottom**  | The popup is shown to the right of the opener aligned to the bottom edge. |
| **RightMiddle**  | The popup is shown to the right of the opener and vertically centered.    |
| **RightTop**     | The popup is shown to the right of the opener aligned to the top edge.    |
| **TopCenter**    | The popup is shown above the opener and horizontally centered.            |
| **TopLeft**      | The popup is shown above the opener aligned to the left edge.             |
| **TopRight**     | The popup is shown above the opener aligned to the right edge.            |

## Used By

| Name                                                                                                | Description                                                                                                                                                                                                                                                                                                           |
| --------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [HelpTip.Alignment](/api/wisej.web/extenders/wisej.web.helptip.md#alignment)                        | Returns or sets the position of the HelpTip in relation to the target control.                                                                                                                                                                                                                                        |
| [UserPopup.Alignment](/api/wisej.web/containers/wisej.web.userpopup.md#alignment)                   | Returns or sets the alignment side and position of the popup. The actual location depends on the placement methods defined by the [PlacementModeX](/api/wisej.web/containers/wisej.web.userpopup.md#placementmodex) and [PlacementModeY](/api/wisej.web/containers/wisej.web.userpopup.md#placementmodey) properties. |
| [ContextMenu.Show](/api/wisej.web/menus/wisej.web.contextmenu.md#show-component-position-onclose)   | Displays the context menu at the specified position in relation to the specified component.                                                                                                                                                                                                                           |
| [ContextMenu.ShowAsync](/api/wisej.web/menus/wisej.web.contextmenu.md#showasync-component-position) | Asynchronously displays the context menu at the specified position in relation to the specified component.                                                                                                                                                                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.placement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
